Subject: Re: hopefully all information requested

From: martin rudalics <[email-masked]>
Date: Sun, 02 Oct 2016 20:10:29 +0200

> please find a file attached to this email containing (hopefully :-)) all
 > information requested.

Thanks for the work.

 > emacs -Q
 > [...]
 > frame text pixel: 720 x 792   cols/lines: 80 x 36
 > [...]
 >
 > emacs -Q -iconic
 > [...]
 > frame text pixel: 720 x 792   cols/lines: 80 x 36

So an iconic frame has the same number of text columns/lines as a
normal one.

 > emacs
 > frame text pixel: 1485 x 986   cols/lines: 135 x 34

And the frame with the geometry specified in your .emacs has 135 text
columns and 34 text lines as requeste via (I presume)

(add-to-list 'default-frame-alist '(width . 135))
(add-to-list 'default-frame-alist '(height . 34))

This looks correct as well (no off by one issue here AFAICT).  I have to
admit that this was the major issue that bothered me.

 > emacs -iconic
 > [...]
 > frame text pixel: 715 x 783   cols/lines: 65 x 27

This is the expected mess.  The strange values are obviously due to the
fact that the default character size changed from 9 x 22 to 11 x 29
while the frame's outer size did not change along with that.  Emacs is
talking characters and the window manager is talking pixels.

I will look into this but I can't promise to find a solution soon.

 > emacs -iconic C-X 5 2
 > [...]
 > frame text pixel: 1485 x 986   cols/lines: 135 x 34

For the new frame I presume, everything as expected.

Thanks again for sending me all this information, martin